/* TCHK 0.60 - Howard Kapustein's Turbo C library      1-15-88 */
/* Copyright (C) 1988, Howard Kapustein.  All rights reserved. */

/* mathhk.h  -  header file for MATHHK.C - math functions */

#ifndef MATH_HK

#define SQRT2   1.41421356237309504880
#define PI  3.141592653589793238462643
#define E   2.7182818284590452353602874

#define sqr(x)      ((x) * (x))
#define sgn(x)      ((x) < 0 ? -1 : 1)
#define sign(x)     ((x) < 0 ? -1 : 1)
#define swap(x,y)   x ^= y, y^= x, x^=y
#define max(x,y)    ((x) >= (y) ? (x) : (y))
#define min(x,y)    ((x) <= (y) ? (x) : (y))

#define MATH_HK   1
#endif
